
/**
 * the account object
 */
var account = null;

/**
 * the listbox which list the content of the account
 */
var listbox = null;

/**
 * the observer which listen after changes into a bankaccount component
 */
var accountObserver = {

  // create the observer method
  observe: function ( aSubject, aTopic, aData) {
    listbox.builder.rebuild();
  }
  
}



function startup() {
  // load the account component
  account = Components.classes["@xulfr.org/tutorial/bankaccount;1"]
             .createInstance(Components.interfaces.xfrIBankAccount);
            
  
  listbox = document.getElementById("record-list");
  listbox.builder.datasource = account.data;

  // add accountObserver into the observer service
  var obs =  Components.classes["@mozilla.org/observer-service;1"]
            .getService(Components.interfaces.nsIObserverService);
  obs.addObserver(accountObserver, "bankaccount-changed", false);
}

function remove() {
    var idx = listbox.selectedIndex;
    if (idx < 0) // no selected item
        return;

		if (confirm("Do you really want to remove this line ?")) {
  			account.removeRecord(idx);
		}
}
